[Exherbo-dev] Major EAPI tree changes

Alexander Færøy eroyf at eroyf.org
Sun Jul 15 00:11:23 BST 2007


Hello,

I've just changed a whole bunch of stuff in our experimental tree in
goatoo/people/kloeri

I have attached the patch and I'd like if some of you could look it over
for small mistakes I might have made and just fix it in svn.

We will catch errors when we rebuild stuff later, but if you can spot
anything please fix it :)

Best regards,
Alex

-- 
Alexander Færøy
-------------- next part --------------
Index: sys-apps/file/file-4.21.exheres-0
===================================================================
--- sys-apps/file/file-4.21.exheres-0	(revision 227)
+++ sys-apps/file/file-4.21.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="as-is"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-apps/net-tools/net-tools-1.60.exheres-0
===================================================================
--- sys-apps/net-tools/net-tools-1.60.exheres-0	(revision 227)
+++ sys-apps/net-tools/net-tools-1.60.exheres-0	(working copy)
@@ -9,22 +9,21 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="ipv6 nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="ipv6 nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack "${A}"
 	epatch "${FILESDIR}/net-tools-syntax.patch"
-	cp "${FILESDIR"/config.h "${S}"
+	cp "${FILESDIR}/config.h" "${S}"
 }
 
 src_compile() {
 	# We provide a static config and sed some options instead.
-	use nls && sed -i -e 's:I18N 0:I18N 1:' config.h
-	use ipv6 && sed -i -e 's:HAVE_AFINET6 0:HAVE_AFINET6 1:' config.h
+	option nls && sed -i -e 's:I18N 0:I18N 1:' config.h
+	option ipv6 && sed -i -e 's:HAVE_AFINET6 0:HAVE_AFINET6 1:' config.h
 
 	emake || die "Make failed."
 }
Index: sys-apps/module-init-tools/module-init-tools-3.2.2.exheres-0
===================================================================
--- sys-apps/module-init-tools/module-init-tools-3.2.2.exheres-0	(revision 227)
+++ sys-apps/module-init-tools/module-init-tools-3.2.2.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 # FIXME: tests are borked
 RESTRICT="test"
Index: sys-apps/shadow/shadow-4.0.18.1.exheres-0
===================================================================
--- sys-apps/shadow/shadow-4.0.18.1.exheres-0	(revision 227)
+++ sys-apps/shadow/shadow-4.0.18.1.exheres-0	(working copy)
@@ -7,17 +7,20 @@
 
 LICENSE="AS-IS"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="pam"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="pam"
 
-DEPEND="pam? ( sys-libs/pam )
-	sys-libs/cracklib"
-RDEPEND="${RDEPEND}"
+DEPENDENCIES="build:
+                pam? ( sys-libs/pam )
+                sys-libs/cracklib
+              runtime:
+                pam? ( sys-libs/pam )
+                sys-libs/cracklib"
 
 src_compile() {
 	econf \
 		--without-selinux \
-		$(use_with pam) \
+		$(option_with pam) \
 		--with-libcrack \
 		|| die "Configure failed."
 	emake || die "Make failed."
Index: sys-apps/diffutils/diffutils-2.8.7.exheres-0
===================================================================
--- sys-apps/diffutils/diffutils-2.8.7.exheres-0	(revision 227)
+++ sys-apps/diffutils/diffutils-2.8.7.exheres-0	(working copy)
@@ -7,14 +7,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: sys-apps/gawk/gawk-3.1.5.exheres-0
===================================================================
--- sys-apps/gawk/gawk-3.1.5.exheres-0	(revision 227)
+++ sys-apps/gawk/gawk-3.1.5.exheres-0	(working copy)
@@ -7,14 +7,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: sys-apps/busybox/busybox-1.6.0.exheres-0
===================================================================
--- sys-apps/busybox/busybox-1.6.0.exheres-0	(revision 227)
+++ sys-apps/busybox/busybox-1.6.0.exheres-0	(working copy)
@@ -7,11 +7,11 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND="app-arch/zip"
-RDEPEND=""
+DEPENDENCIES="build:
+                app-arch/zip"
 
 RESTRICT="test"
 
Index: sys-apps/grep/grep-2.5.1a.exheres-0
===================================================================
--- sys-apps/grep/grep-2.5.1a.exheres-0	(revision 227)
+++ sys-apps/grep/grep-2.5.1a.exheres-0	(working copy)
@@ -7,14 +7,16 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND="dev-libs/libpcre"
-RDEPEND="${DEPEND}"
+DEPENDENCIES="build:
+                dev-libs/libpcre
+              runtime:
+                dev-libs/libpcre"
 
 src_compile() {
-	econf --bindir=/bin $(use_enable nls) || die "Configure failed."
+	econf --bindir=/bin $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: sys-apps/kbd/kbd-1.12.ebuild
===================================================================
--- sys-apps/kbd/kbd-1.12.ebuild	(revision 227)
+++ sys-apps/kbd/kbd-1.12.ebuild	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	./configure || die "Configure failed."
Index: sys-apps/paludis/paludis-scm.exheres-0
===================================================================
--- sys-apps/paludis/paludis-scm.exheres-0	(revision 227)
+++ sys-apps/paludis/paludis-scm.exheres-0	(working copy)
@@ -8,10 +8,10 @@
 HOMEPAGE="http://paludis.pioto.org/"
 SRC_URI=""
 
-IUSE="contrarius cran doc gems gtk glsa inquisitio portage pink qa ruby vim-syntax zsh-completion"
+MYOPTIONS="contrarius cran doc gems gtk glsa inquisitio portage pink qa ruby vim-syntax zsh-completion"
 LICENSE="GPL-2 vim-syntax? ( vim )"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86"
+PLATFORMS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86"
 
 COMMON_DEPEND="
 	>=app-shells/bash-3
@@ -67,17 +67,17 @@
 }
 
 src_compile() {
-	local repositories=`echo default $(usev cran ) $(usev gems ) | tr -s \  ,`
-	local clients=`echo default $(usev contrarius ) $(usev inquisitio ) \
-		$(useq gtk && echo gtkpaludis ) | tr -s \  ,`
-	local environments=`echo default $(usev portage ) | tr -s \  ,`
+	local repositories=`echo default $(optionv cran ) $(optionv gems ) | tr -s \  ,`
+	local clients=`echo default $(optionv contrarius ) $(optionv inquisitio ) \
+		$(optionq gtk && echo gtkpaludis ) | tr -s \  ,`
+	local environments=`echo default $(optionv portage ) | tr -s \  ,`
 	econf \
-		$(use_enable doc doxygen ) \
-		$(use_enable pink) \
-		$(use_enable qa) \
-		$(use_enable ruby) \
-		$(use_enable glsa) \
-		$(use_enable vim-syntax vim ) \
+		$(option_enable doc doxygen ) \
+		$(option_enable pink) \
+		$(option_enable qa) \
+		$(option_enable ruby) \
+		$(option_enable glsa) \
+		$(option_enable vim-syntax vim ) \
 		--with-vim-install-dir=/usr/share/vim/vimfiles \
 		--enable-sandbox \
 		--with-repositories=${repositories} \
@@ -87,7 +87,7 @@
 		|| die "econf failed"
 
 	emake || die "emake failed"
-	if use doc ; then
+	if option doc ; then
 		make doxygen || die "make doxygen failed"
 	fi
 }
@@ -98,21 +98,21 @@
 
 	BASH_COMPLETION_NAME="adjutrix" dobashcompletion bash-completion/adjutrix
 	BASH_COMPLETION_NAME="paludis" dobashcompletion bash-completion/paludis
-	use qa && \
+	option qa && \
 		BASH_COMPLETION_NAME="qualudis" \
 		dobashcompletion bash-completion/qualudis
-	use contrarius && \
+	option contrarius && \
 		BASH_COMPLETION_NAME="contrarius" \
 		dobashcompletion bash-completion/contrarius
-	use inquisitio && \
+	option inquisitio && \
 		BASH_COMPLETION_NAME="inquisitio" \
 		dobashcompletion bash-completion/inquisitio
 
-	if use doc ; then
+	if option doc ; then
 		dohtml -r -V doc/www/*
 	fi
 
-	if use zsh-completion ; then
+	if option zsh-completion ; then
 		insinto /usr/share/zsh/site-functions
 		doins zsh-completion/_paludis
 		doins zsh-completion/_adjutrix
@@ -133,14 +133,14 @@
 }
 
 pkg_postinst() {
-	if use bash-completion ; then
+	if option bash-completion ; then
 		echo
 		einfo "The following bash completion scripts have been installed:"
 		einfo "  paludis"
 		einfo "  adjutrix"
-		use qa && einfo "  qualudis"
-		use contrarius && einfo "  contrarius"
-		use inquisitio && einfo "  inquisitio"
+		option qa && einfo "  qualudis"
+		option contrarius && einfo "  contrarius"
+		option inquisitio && einfo "  inquisitio"
 		einfo
 		einfo "To enable these scripts, run:"
 		einfo "  eselect bashcomp enable <scriptname>"
Index: sys-apps/findutils/findutils-4.3.6.exheres-0
===================================================================
--- sys-apps/findutils/findutils-4.3.6.exheres-0	(revision 227)
+++ sys-apps/findutils/findutils-4.3.6.exheres-0	(working copy)
@@ -7,14 +7,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: sys-apps/which/which-2.16.exheres-0
===================================================================
--- sys-apps/which/which-2.16.exheres-0	(revision 227)
+++ sys-apps/which/which-2.16.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-apps/groff/groff-1.19.2.exheres-0
===================================================================
--- sys-apps/groff/groff-1.19.2.exheres-0	(revision 227)
+++ sys-apps/groff/groff-1.19.2.exheres-0	(working copy)
@@ -9,11 +9,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack "${A}"
Index: sys-apps/less/less-403.exheres-0
===================================================================
--- sys-apps/less/less-403.exheres-0	(revision 227)
+++ sys-apps/less/less-403.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-apps/help2man/help2man-1.36.4.exheres-0
===================================================================
--- sys-apps/help2man/help2man-1.36.4.exheres-0	(revision 227)
+++ sys-apps/help2man/help2man-1.36.4.exheres-0	(working copy)
@@ -7,14 +7,14 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
 DEPEND=""
 RDEPEND=""
 
 src_install() {
-	# Install target isn't parallel safe so we don't use emake
+	# Install target isn't parallel safe.
 	make DESTDIR="${D}" install || die "Install failed."
 	dodoc INSTALL NEWS README THANKS
 }
Index: sys-apps/man-pages/man-pages-2.55.exheres-0
===================================================================
--- sys-apps/man-pages/man-pages-2.55.exheres-0	(revision 227)
+++ sys-apps/man-pages/man-pages-2.55.exheres-0	(working copy)
@@ -7,11 +7,11 @@
 
 LICENSE=""
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND="sys-apps/man"
+DEPENDENCIES="runtime:
+                sys-apps/man"
 
 # There's no tests
 RESTRICT="test"
Index: sys-apps/coreutils/coreutils-6.9.exheres-0
===================================================================
--- sys-apps/coreutils/coreutils-6.9.exheres-0	(revision 227)
+++ sys-apps/coreutils/coreutils-6.9.exheres-0	(working copy)
@@ -7,14 +7,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: sys-apps/util-linux/util-linux-2.12r.exheres-0
===================================================================
--- sys-apps/util-linux/util-linux-2.12r.exheres-0	(revision 227)
+++ sys-apps/util-linux/util-linux-2.12r.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-apps/man/man-1.6e.exheres-0
===================================================================
--- sys-apps/man/man-1.6e.exheres-0	(revision 227)
+++ sys-apps/man/man-1.6e.exheres-0	(working copy)
@@ -7,11 +7,11 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND="sys-apps/groff"
+DEPENDENCIES="runtime:
+                sys-apps/groff"
 
 src_compile() {
 	./configure -default
Index: sys-apps/hdparm/hdparm-7.5.exheres-0
===================================================================
--- sys-apps/hdparm/hdparm-7.5.exheres-0	(revision 227)
+++ sys-apps/hdparm/hdparm-7.5.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-apps/sed/sed-4.1.5.exheres-0
===================================================================
--- sys-apps/sed/sed-4.1.5.exheres-0	(revision 227)
+++ sys-apps/sed/sed-4.1.5.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --bindir=/bin || die "Configure failed."
Index: sys-apps/texinfo/texinfo-4.8a.exheres-0
===================================================================
--- sys-apps/texinfo/texinfo-4.8a.exheres-0	(revision 227)
+++ sys-apps/texinfo/texinfo-4.8a.exheres-0	(working copy)
@@ -11,14 +11,16 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND="sys-libs/ncurses"
-RDEPEND="sys-libs/ncurses"
+DEPENDENCIES="build:
+                sys-libs/ncurses
+              runtime:
+                sys-libs/ncurses"
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed."
 }
 
Index: net-misc/openssh/openssh-4.6_p1.exheres-0
===================================================================
--- net-misc/openssh/openssh-4.6_p1.exheres-0	(revision 227)
+++ net-misc/openssh/openssh-4.6_p1.exheres-0	(working copy)
@@ -13,20 +13,22 @@
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="skey tcp-wrappers ssl-engine pam"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="skey tcp-wrappers ssl-engine pam"
 
-DEPEND=">=dev-libs/openssl-0.9.6
-		pam? ( sys-libs/pam )"
-RDEPEND="pam? ( sys-libs/pam )
-		tcp-wrappers? ( sys-apps/tcp-wrappers )"
+DEPENDENCIES="build:
+                >=dev-libs/openssl-0.9.6
+                pam? ( sys-libs/pam )
+              runtime:
+                pam? ( sys-libs/pam )
+                tcp-wrappers? ( sys-apps/tcp-wrappers )"
 
 src_compile() {
 	econf \
-		$(use_enable skey) \
-		$(use_enable tcp-wrappers) \
-		$(use_enable ssl-engine) \
-		$(use_enable pam) \
+		$(option_enable skey) \
+		$(option_enable tcp-wrappers) \
+		$(option_enable ssl-engine) \
+		$(option_enable pam) \
 		--with-md5-passwords \
 		--sysconfdir=/etc/ssh \
 		--disable-strip
Index: net-misc/wget/wget-1.10.2.exheres-0
===================================================================
--- net-misc/wget/wget-1.10.2.exheres-0	(revision 227)
+++ net-misc/wget/wget-1.10.2.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: net-misc/iputils/iputils-20070202.exheres-0
===================================================================
--- net-misc/iputils/iputils-20070202.exheres-0	(revision 227)
+++ net-misc/iputils/iputils-20070202.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="ipv6"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="ipv6"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	emake || die "Make failed."
@@ -29,7 +28,7 @@
 	into /usr
 	dosbin arping clockdiff ipg rarpd rdisc tftpd tracepath
 
-	if use ipv6; then
+	if option ipv6; then
 		into /
 		dobin ping6
 		into /usr
Index: net-misc/rsync/rsync-2.6.9.exheres-0
===================================================================
--- net-misc/rsync/rsync-2.6.9.exheres-0	(revision 227)
+++ net-misc/rsync/rsync-2.6.9.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-fs/udev/udev-113.exheres-0
===================================================================
--- sys-fs/udev/udev-113.exheres-0	(revision 227)
+++ sys-fs/udev/udev-113.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-fs/e2fsprogs/e2fsprogs-1.40.exheres-0
===================================================================
--- sys-fs/e2fsprogs/e2fsprogs-1.40.exheres-0	(revision 227)
+++ sys-fs/e2fsprogs/e2fsprogs-1.40.exheres-0	(working copy)
@@ -7,12 +7,15 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND="sys-libs/com_err
-	sys-libs/ss"
-RDEPEND="${DEPEND}"
+DEPENDENCIES="build:
+                sys-libs/com_err
+                sys-libs/ss
+              runtime:
+                sys-libs/com_err
+                sys-libs/ss"
 
 S="${WORKDIR}/e2fsprogs-${PV}"
 
Index: dev-util/subversion/subversion-1.4.4.exheres-0
===================================================================
--- dev-util/subversion/subversion-1.4.4.exheres-0	(revision 227)
+++ dev-util/subversion/subversion-1.4.4.exheres-0	(working copy)
@@ -7,14 +7,14 @@
 
 LICENSE="Apache-1.1"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="slowtests"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="slowtests"
 
 DEPEND="dev-libs/apr-util"
 RDEPEND=""
 
 src_test() {
-	if use slowtests; then
+	if option slowtests; then
 		make check || die "Tests failed."
 	fi
 }
Index: dev-util/reprehendo/reprehendo-scm.exheres-0
===================================================================
--- dev-util/reprehendo/reprehendo-scm.exheres-0	(revision 227)
+++ dev-util/reprehendo/reprehendo-scm.exheres-0	(working copy)
@@ -27,9 +27,9 @@
 
 src_compile() {
     econf \
-        $(use_enable pink) \
-        $(use_enable git)  \
-        $(use_enable svn   \
+        $(option_enable pink) \
+        $(option_enable git)  \
+        $(option_enable svn   \
         || die "econf failed"
 
     emake || die "emake failed"
Index: sys-process/procps/procps-3.2.7.exheres-0
===================================================================
--- sys-process/procps/procps-3.2.7.exheres-0	(revision 227)
+++ sys-process/procps/procps-3.2.7.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-process/psmisc/psmisc-22.5.exheres-0
===================================================================
--- sys-process/psmisc/psmisc-22.5.exheres-0	(revision 227)
+++ sys-process/psmisc/psmisc-22.5.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --bindir="/bin" || die "Configure failed."
Index: app-arch/bzip2/bzip2-1.0.4.exheres-0
===================================================================
--- app-arch/bzip2/bzip2-1.0.4.exheres-0	(revision 227)
+++ app-arch/bzip2/bzip2-1.0.4.exheres-0	(working copy)
@@ -9,11 +9,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack ${A}
Index: app-arch/tar/tar-1.18.exheres-0
===================================================================
--- app-arch/tar/tar-1.18.exheres-0	(revision 227)
+++ app-arch/tar/tar-1.18.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 RESTRICT="test"
 
Index: app-arch/gzip/gzip-1.3.12.exheres-0
===================================================================
--- app-arch/gzip/gzip-1.3.12.exheres-0	(revision 227)
+++ app-arch/gzip/gzip-1.3.12.exheres-0	(working copy)
@@ -9,11 +9,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	cd "${S}"
Index: app-arch/cpio/cpio-2.9.exheres-0
===================================================================
--- app-arch/cpio/cpio-2.9.exheres-0	(revision 227)
+++ app-arch/cpio/cpio-2.9.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --bindir /bin --enable-mt || die "econf failed."
Index: sys-kernel/linux-headers/linux-headers-2.6.21.5.exheres-0
===================================================================
--- sys-kernel/linux-headers/linux-headers-2.6.21.5.exheres-0	(revision 227)
+++ sys-kernel/linux-headers/linux-headers-2.6.21.5.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 S="${WORKDIR}/linux-${PV}"
 
Index: dev-lang/python/python-2.5.1.exheres-0
===================================================================
--- dev-lang/python/python-2.5.1.exheres-0	(revision 227)
+++ dev-lang/python/python-2.5.1.exheres-0	(working copy)
@@ -10,14 +10,13 @@
 
 LICENSE="PSF-2.2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="ipv6"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="ipv6"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
-	econf --enable-shared $(use_enable ipv6)
+	econf --enable-shared $(option_enable ipv6)
 	emake
 }
 
Index: dev-lang/perl/perl-5.8.8.exheres-0
===================================================================
--- dev-lang/perl/perl-5.8.8.exheres-0	(revision 227)
+++ dev-lang/perl/perl-5.8.8.exheres-0	(working copy)
@@ -9,11 +9,10 @@
 
 LICENSE="|| ( Artistic GPL GPL-2 GPL-3 )"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack "${A}"
Index: dev-libs/apr-util/apr-util-1.2.8.exheres-0
===================================================================
--- dev-libs/apr-util/apr-util-1.2.8.exheres-0	(revision 227)
+++ dev-libs/apr-util/apr-util-1.2.8.exheres-0	(working copy)
@@ -7,17 +7,20 @@
 
 LICENSE="Apache"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="gdbm"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="gdbm"
 
-DEPEND="dev-libs/apr
-	gdbm? sys-libs/gdbm"
-RDEPEND="${DEPEND}"
+DEPENDENCIES="build:
+                dev-libs/apr
+                gdbm? sys-libs/gdbm
+              runtime:
+                dev-libs/apr
+                gdbm? sys-libs/gdbm"
 
 src_compile() {
 	econf \
 		--with-apr=/usr \
-		$(use_with gdbm) \
+		$(option_with gdbm) \
 		|| die "Configure failed."
 	emake || die "Make failed."
 }
Index: sys-libs/glibc/glibc-2.6.exheres-0
===================================================================
--- sys-libs/glibc/glibc-2.6.exheres-0	(revision 227)
+++ sys-libs/glibc/glibc-2.6.exheres-0	(working copy)
@@ -8,14 +8,16 @@
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND="sys-apps/texinfo
-	sys-apps/awk
-	dev-lang/perl
-	app-text/sed"
-RDEPEND="sys-libs/timezone-info"
+DEPENDENCIES="build:
+                sys-apps/texinfo
+                sys-apps/awk
+                dev-lang/perl
+                app-text/sed
+              runtime:
+                sys-libs/timezone-info"
 
 ECONF_SOURCE="${S}"
 BUILDDIR="${T}/build"
Index: sys-libs/zlib/zlib-1.2.3.exheres-0
===================================================================
--- sys-libs/zlib/zlib-1.2.3.exheres-0	(revision 227)
+++ sys-libs/zlib/zlib-1.2.3.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="as-is"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	./configure \
Index: sys-libs/ncurses/ncurses-5.6.exheres-0
===================================================================
--- sys-libs/ncurses/ncurses-5.6.exheres-0	(revision 227)
+++ sys-libs/ncurses/ncurses-5.6.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="as-is"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="unicode"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="unicode"
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	ECONF_SOURCE="${S}"
@@ -29,12 +28,12 @@
 	emake || die "Make failed."
 
 	# Now built wide char version if unicode is set
-	if use unicode ; then
+	if option unicode ; then
 		mkdir "${S}/wide"
 		cd "${S}/wide"
 		econf \
 			${common_conf} \
-			$(use_enable unicode widec) \
+			$(option_enable unicode widec) \
 			|| die "Configure failed."
 		emake || die "Make failed."
 	fi
@@ -46,7 +45,7 @@
 	emake DESTDIR="${D}" install || die "Install failed."
 
 	# Install wide char version if unicode is enabled
-	if use unicode ; then
+	if option unicode ; then
 		cd "${S}/wide"
 		emake DESTDIR="${D}" install || die "Install failed"
 	fi
Index: sys-libs/readline/readline-5.2_p4.exheres-0
===================================================================
--- sys-libs/readline/readline-5.2_p4.exheres-0	(revision 227)
+++ sys-libs/readline/readline-5.2_p4.exheres-0	(working copy)
@@ -17,11 +17,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND="sys-libs/ncurses"
-RDEPEND="sys-libs/ncurses"
+DEPENDENCIES="build:
+                sys-libs/ncurses
+              runtime:
+                sys-libs/ncurses"
 
 src_unpack() {
 	unpack "${MY_P}.tar.gz"
@@ -29,7 +31,7 @@
 
 	local i
 	for ((i=1; i<=PATCH_LEVEL; i++)); do
-		epatch "${DISTDIR}/readline52-"$(printf "%03d" ${i}) || die "patching failed."
+		epatch "${FETCHEDDIR}/readline52-"$(printf "%03d" ${i}) || die "patching failed."
 	done
 }
 
Index: sys-libs/cracklib/cracklib-2.8.10.exheres-0
===================================================================
--- sys-libs/cracklib/cracklib-2.8.10.exheres-0	(revision 227)
+++ sys-libs/cracklib/cracklib-2.8.10.exheres-0	(working copy)
@@ -7,15 +7,15 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="python"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="python"
 
 DEPEND="python? ( dev-lang/python )"
 RDEPEND="${DEPEND}"
 
 src_compile() {
 	econf \
-		$(use_with python) \
+		$(option_with python) \
 		|| die "Configure failed."
 	emake || die "Make failed."
 }
Index: sys-libs/pam/pam-0.99.7.1.exheres-0
===================================================================
--- sys-libs/pam/pam-0.99.7.1.exheres-0	(revision 227)
+++ sys-libs/pam/pam-0.99.7.1.exheres-0	(working copy)
@@ -17,7 +17,7 @@
 RDEPEND=""
 
 src_compile() {
-	econf $(use_enable nls) || die "Configure failed."
+	econf $(option_enable nls) || die "Configure failed."
 	emake || die "Make failed"
 }
 
Index: app-shells/bash/bash-3.2_p17.exheres-0
===================================================================
--- app-shells/bash/bash-3.2_p17.exheres-0	(revision 227)
+++ app-shells/bash/bash-3.2_p17.exheres-0	(working copy)
@@ -17,11 +17,13 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="nls"
 
-DEPEND="sys-libs/ncurses"
-RDEPEND="sys-libs/ncurses"
+DEPENDENCIES="build:
+                sys-libs/ncurses
+              runtime:
+                sys-libs/ncurses"
 
 src_unpack() {
 	unpack "${MY_P}.tar.gz"
@@ -29,7 +31,7 @@
 
 	local i
 	for ((i=1; i<=PATCH_LEVEL; i++)); do
-		epatch "${DISTDIR}/bash32-"$(printf "%03d" ${i}) || die "patching failed."
+		epatch "${FETCHEDDIR}/bash32-"$(printf "%03d" ${i}) || die "patching failed."
 	done
 }
 
@@ -38,7 +40,7 @@
 		--bindir=/bin \
 		--without-installed-readline \
 		--with-curses \
-		$(use_enable nls) \
+		$(option_enable nls) \
 		|| die "configure failed."
 	emake || die "make failed."
 }
@@ -47,6 +49,4 @@
 	emake DESTDIR="${D}" install || die "install failed."
 	cd "${D}/bin"
 	ln -s /bin/bash sh
-	echo "Do the foobar!"
-	read
 }
Index: sys-devel/gnuconfig/gnuconfig-20070629.exheres-0
===================================================================
--- sys-devel/gnuconfig/gnuconfig-20070629.exheres-0	(revision 227)
+++ sys-devel/gnuconfig/gnuconfig-20070629.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	cd "${S}"
Index: sys-devel/m4/m4-1.4.9.exheres-0
===================================================================
--- sys-devel/m4/m4-1.4.9.exheres-0	(revision 227)
+++ sys-devel/m4/m4-1.4.9.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-devel/automake-wrapper/automake-wrapper-0.1.exheres-0
===================================================================
--- sys-devel/automake-wrapper/automake-wrapper-0.1.exheres-0	(revision 227)
+++ sys-devel/automake-wrapper/automake-wrapper-0.1.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYTOPIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	mkdir -p "${T}"/usr/bin
Index: sys-devel/binutils/binutils-2.17.exheres-0
===================================================================
--- sys-devel/binutils/binutils-2.17.exheres-0	(revision 227)
+++ sys-devel/binutils/binutils-2.17.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-devel/gcc/gcc-4.2.0.exheres-0
===================================================================
--- sys-devel/gcc/gcc-4.2.0.exheres-0	(revision 227)
+++ sys-devel/gcc/gcc-4.2.0.exheres-0	(working copy)
@@ -7,13 +7,13 @@
 
 LICENSE="GPL-2"
 SLOT="${PV}"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE="fortran objc obj-c++ nls"
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS="ada fortran java objc obj-c++ nls propolice"
 
-DEPEND="sys-devel/make
-	>=dev-libs/gmp-4.1
-	dev-libs/mpfr"
-RDEPEND=""
+DEPENDENCIES="build:
+                sys-devel/make
+                >=dev-libs/gmp-4.1
+                dev-libs/mpfr"
 
 OBJDIR="${T}/${CHOST}"
 
@@ -22,8 +22,8 @@
 	cd "${OBJDIR}"
 
 	LANGS="c++"
-	for i in ada fortran java objc obj-c++; do
-		use ${i} && LANGS="${LANGS} ${i}"
+	for i in ada fortran objc obj-c++ java; do
+		option ${i} && LANGS="${LANGS} ${i}"
 	done
 	LANGS="${LANGS/ /,}"
 
@@ -36,8 +36,8 @@
 		--mandir=/usr/share/gcc-data/${CHOST}/${PV}/man \
 		--with-gxx-include-dir=/usr/lib/gcc/${CHOST}/${PV} \
 		--enable-languages="${LANGS}" \
-		$(use_enable propolice libssp) \
-		$(use_enable nls) \
+		$(option_enable propolice libssp) \
+		$(option_enable nls) \
 		|| die "Configure failed."
 	emake bootstrap || die "Make failed."
 }
Index: sys-devel/flex/flex-2.5.33.exheres-0
===================================================================
--- sys-devel/flex/flex-2.5.33.exheres-0	(revision 227)
+++ sys-devel/flex/flex-2.5.33.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-devel/patch/patch-2.5.9.exheres-0
===================================================================
--- sys-devel/patch/patch-2.5.9.exheres-0	(revision 227)
+++ sys-devel/patch/patch-2.5.9.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack "${A}"
Index: sys-devel/libtool/libtool-1.5.24.exheres-0
===================================================================
--- sys-devel/libtool/libtool-1.5.24.exheres-0	(revision 227)
+++ sys-devel/libtool/libtool-1.5.24.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-devel/automake/automake-1.7.9.exheres-0
===================================================================
--- sys-devel/automake/automake-1.7.9.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.7.9.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.7"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/automake/automake-1.10.exheres-0
===================================================================
--- sys-devel/automake/automake-1.10.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.10.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.10"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV}" || die "Configure failed."
Index: sys-devel/automake/automake-1.5.exheres-0
===================================================================
--- sys-devel/automake/automake-1.5.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.5.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.5"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/automake/automake-1.6.3.exheres-0
===================================================================
--- sys-devel/automake/automake-1.6.3.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.6.3.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.6"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/automake/automake-1.4_p6.exheres-0
===================================================================
--- sys-devel/automake/automake-1.4_p6.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.4_p6.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.4"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/automake/automake-1.8.5.exheres-0
===================================================================
--- sys-devel/automake/automake-1.8.5.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.8.5.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.8"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/automake/automake-1.9.6.exheres-0
===================================================================
--- sys-devel/automake/automake-1.9.6.exheres-0	(revision 227)
+++ sys-devel/automake/automake-1.9.6.exheres-0	(working copy)
@@ -10,11 +10,10 @@
 
 LICENSE="GPL-2"
 SLOT="1.9"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV%%_*}" || die "Configure failed."
Index: sys-devel/bison/bison-2.3.exheres-0
===================================================================
--- sys-devel/bison/bison-2.3.exheres-0	(revision 227)
+++ sys-devel/bison/bison-2.3.exheres-0	(working copy)
@@ -7,8 +7,8 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
 DEPEND=""
 RDEPEND=""
Index: sys-devel/make/make-3.81.exheres-0
===================================================================
--- sys-devel/make/make-3.81.exheres-0	(revision 227)
+++ sys-devel/make/make-3.81.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_install() {
 	emake DESTDIR="${D}" install || die "Install failed."
Index: sys-devel/autoconf/autoconf-2.61.exheres-0
===================================================================
--- sys-devel/autoconf/autoconf-2.61.exheres-0	(revision 227)
+++ sys-devel/autoconf/autoconf-2.61.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="2.5"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_compile() {
 	econf --program-suffix="-${PV}" || die "Configure failed."
Index: sys-devel/autoconf/autoconf-2.13.exheres-0
===================================================================
--- sys-devel/autoconf/autoconf-2.13.exheres-0	(revision 227)
+++ sys-devel/autoconf/autoconf-2.13.exheres-0	(working copy)
@@ -7,11 +7,10 @@
 
 LICENSE="GPL-2"
 SLOT="2.1"
-KEYWORDS="~amd64 ~ia64 ~x86"
-IUSE=""
+PLATFORMS="~amd64 ~ia64 ~x86"
+MYOPTIONS=""
 
-DEPEND=""
-RDEPEND=""
+DEPENDENCIES=""
 
 src_unpack() {
 	unpack ${A}
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://lists.exherbo.org/mailman/private/exherbo-dev/attachments/20070715/7cf7cbc8/attachment-0001.pgp 


More information about the Exherbo-dev mailing list